using System;
using System.Windows.Media;
using Microsoft.Phone.BackgroundAudio;

namespace AudioStreamAgent
{
    public class MediaStreamSourceClass : MediaStreamSource
    {
        public MediaStreamSourceClass(AudioTrack p_AudioTrack)
        { 
        
        }

        protected override void CloseMedia()
        {
            throw new NotImplementedException();
        }

        protected override void GetDiagnosticAsync(MediaStreamSourceDiagnosticKind diagnosticKind)
        {
            throw new NotImplementedException();
        }

        protected override void GetSampleAsync(MediaStreamType mediaStreamType)
        {
            throw new NotImplementedException();
        }

        protected override void OpenMediaAsync()
        {
            throw new NotImplementedException();
        }

        protected override void SeekAsync(long seekToTime)
        {
            throw new NotImplementedException();
        }

        protected override void SwitchMediaStreamAsync(MediaStreamDescription mediaStreamDescription)
        {
            throw new NotImplementedException();
        }
    }
}
